<!-- HTML header for doxygen 1.8.18-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=9" />
    <meta name="generator" content="Doxygen 1.9.1" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <title>VizBlocks: Member List</title>
    <link href="tabs.css" rel="stylesheet" type="text/css" />
    <script type="text/javascript" src="jquery.js"></script>
    <script type="text/javascript" src="dynsections.js"></script>
     <link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
    <link href="my_customdoxygen.css" rel="stylesheet" type="text/css" />
  </head>
  <body>
    <div id="top">
      <!-- do not remove this div, it is closed by doxygen! -->
      <header id="header" class="desktop">
        <div>
          <div class="inner-header">
            <div class="logotype">
              <a href="https://edinburgh-college-of-art.github.io/vizblocks-website/" aria-hidden="true" title="Site home"
                >VizBlocks</a
              >
            </div>
            <div class="navigation">
              <button
                onclick="toggleBurger()"
                type="button"
                aria-label="toggle burger menu"
              >
                <i class="fa fa-bars"></i>
              </button>
              <nav id="menu" class="collapse">
                <a href="https://edinburgh-college-of-art.github.io/vizblocks-website/" class="home">Home</a>
                <a href="https://edinburgh-college-of-art.github.io/vizblocks-website/about" class="about">About</a>
                <a
                  href="https://edinburgh-college-of-art.github.io/vizblocks-website/tutorials/0_getting_started.html"
                  class="start"
                  >Get Started</a
                >
                <a href="https://edinburgh-college-of-art.github.io/vizblocks-website/tutorials" class="tutorials"
                  >Tutorials</a
                >
                <a href="https://edinburgh-college-of-art.github.io/vizblocks-website/docs/html" class="docs"
                  >Technical Info</a
                >
                <a href="https://edinburgh-college-of-art.github.io/vizblocks-website/contact" class="content">Contact</a>
              </nav>
            </div>
          </div>
        </div>
        <script>
          const toggleBurger = () => {
            const menu = document.getElementById("menu");
            if (menu.className === "collapse") {
              menu.className = "extend";
            } else {
              menu.className = "collapse";
            }
          };
          const touchDevice = "ontouchstart" in document.documentElement;
          if (touchDevice) {
            const header = document.getElementById("header");
            header.className = "mobile";
          }
        </script>
      </header>
      <!-- end header part -->
    </div>
  </body>
</html>
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">Button Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="class_button.html">Button</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="class_button.html#ac61739f093022155c9c7c1d281feffdb">Button</a>(int pin, int id=99)</td><td class="entry"><a class="el" href="class_button.html">Button</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_button.html#a4bd4f650e382a7a5501a12dfb7a6b714">check</a>()</td><td class="entry"><a class="el" href="class_button.html">Button</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_button.html#accfe0a939a17dd9426a4c61323c32e7f">getClickInterval</a>()</td><td class="entry"><a class="el" href="class_button.html">Button</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_button.html#a9782adb68590b975c4c7473b1c2716d4">getHoldInterval</a>()</td><td class="entry"><a class="el" href="class_button.html">Button</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_button.html#a0b024eb643308f2cfa8d13cd93c6b1ca">getId</a>()</td><td class="entry"><a class="el" href="class_button.html">Button</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_button.html#aff7b7fc611d3f412c91aea2082a9b48d">getRepeatInterval</a>()</td><td class="entry"><a class="el" href="class_button.html">Button</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_button.html#a946d9bb84880931ccf3494d84f0ac73a">getState</a>()</td><td class="entry"><a class="el" href="class_button.html">Button</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_button.html#a8fc0f6d87068ccd44e07b1d764eddf3f">initInterrupts</a>(void(*function)())</td><td class="entry"><a class="el" href="class_button.html">Button</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_button.html#a41963b0ccc28009de8a46c52cad5b9b4">kEventClicked</a></td><td class="entry"><a class="el" href="class_button.html">Button</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_button.html#a919fb4da7e37b23eaeb08b6194b2338c">kEventHeld</a></td><td class="entry"><a class="el" href="class_button.html">Button</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_button.html#aeff212895aef4677c616d34494220e14">kEventPressed</a></td><td class="entry"><a class="el" href="class_button.html">Button</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_button.html#a0c1101a90c59dd34cb05a6cdf94edaff">kEventReleased</a></td><td class="entry"><a class="el" href="class_button.html">Button</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_button.html#a0815fb27da6cee2d24f53f26155d0031">kEventTick</a></td><td class="entry"><a class="el" href="class_button.html">Button</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_button.html#a94e66e570b29f34aeb0680b7c657265d">setEventHandler</a>(void(*function)(Button *, uint8_t, bool))</td><td class="entry"><a class="el" href="class_button.html">Button</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_button.html#aa5151d4e678a588275cfe773337435af">tick</a>()</td><td class="entry"><a class="el" href="class_button.html">Button</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
<!-- HTML footer for doxygen 1.8.18-->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.9.1
</small></address>
</body>
</html>
